<!DOCTYPE html>
<html lang="en">
<head>
  <title>Course 365 v1.5</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
  <link href='http://fonts.googleapis.com/css?family=Roboto' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
  <link href="https://fonts.googleapis.com/css2?family=ABeeZee&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
  <link rel="stylesheet" href="slider.css">
</head>
<style>
    .form-inline {
        margin-left: auto;
    }
    .btn-search {
        color:  #007BFF;
        background-color: #F8F9FA;
    }
    body {
      font-family: 'Roboto', sans-serif;
    }
    .navbar-nav{
        font-size: 20px;
    }
    .slide-content{
        background-color: #17A2B8;
        display: flex;
    }
    .slide-content .left-content{
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .slide-content .right-content {
        position: absolute;
        width: 470px;
        height: 591px;
        left: calc(50% - 470px/2 + 285px);
        top: calc(50% - 591px/2);
        background: url(images/girl.png);
    }
    #main {
        background-color: #17A2B8;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    #main .left{
        margin-left: 150px;
        align-items: center;
    }
    #main .left h2 {
        font-weight: 500;
        font-size: 40px;
        line-height: 48px;
        color: #ffff;
        width: 500px;
        height: 147px;
        font-family: 'Roboto', sans-serif;
    }
    #main .left p {
        font-family: 'Roboto';
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 24px;
        color: rgba(255, 255, 255, 0.5);
    }
    #browse {
        margin-right: 20px;
    }
    #courseContent {
        background-color: #97877c;
    }
    .card-title {
        display: flex;
        flex-direction: column;
        margin-left: 2px;
           
    }
    .info {
        display: flex;
        justify-content: space-evenly;
        margin-right: 70px;

    }
    #discount_price{
        font-weight: bold;
        color: #060606;
        margin-left: 5px;
    }
    #price{
        font-weight: bold;
        color: #6C757D;
    }
    .blog-footer {
        display: flex;
        background: rgba(0, 0, 0, 0.03);
        border-top: 0.8px solid rgba(0, 0, 0, 0.125);
        border-radius: 0px 0px 3px 3px;
        justify-content: space-between;
    }
    .blog-avatar{
        width: 50px;
        height: 50px;
        border-radius: 50%;
        display: block;
        overflow: hidden;
        margin-left: 5px;
    }
    .blog-avatar img{
        width: 100%;
    }
    .add-to-cart {
        margin-right: 10px;
    }
    .footer{
        display: flex;
        flex-direction: row;
    }
    .footer_link{
        margin-left: auto;
    }
    h5{
        color: #007BFF;
        margin-left: 5px;
    }
    h1{
        color: rgb(201, 207, 232);
        font-weight: bold;
    }
    
</style>
<body>
<div class="container-fluid">
    <nav class="navbar navbar-expand-sm  navbar-dark">
        <!-- Brand/logo -->
        <a class="navbar-brand" href="#">
          <img src="images/iconheader.png"alt="logo" style="width:100px;">
        </a>
        
        <!-- Links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link text-dark" href="#">Home</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle text-dark" href="#" id="navbardrop" data-toggle="dropdown">
              Browse course
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="#">Web Development</a>
              <a class="dropdown-item" href="#">Mobile App</a>
              <a class="dropdown-item" href="#">Desktop App</a>
            </div>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle text-dark" href="#" id="navbardrop" data-toggle="dropdown">
              About Us
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="#">Vision & Mission</a>
              <a class="dropdown-item" href="#">Team</a>
              <a class="dropdown-item" href="#">Contact Us</a>
            </div>
          </li>
        </ul>
        <form class="form-inline" action="/action_page.php">
          <input class="form-control mr-sm-2" type="text" placeholder="Search courses">
          <button class="btn btn-info btn-search" type="submit">Search</button>
        </form>
        <div class="header-menu-button col-lg-1 col-sm-12 text-right">
          <i class="fa-solid fa-bag-shopping" style="color:black; cursor: pointer;" title="Your bag shopping"></i>
        </div>
      </nav>   
</div>
<br>
<div class="container-fluid" id="main">
    <div class="left">
        <h2>Welcome to Ionic Course365 Learning Center</h2>
        <p>Ionic Course365 is an online learning and teaching marketplace with over <br> 
            5000 courses and 1 million students. Instructor and expertly crafted <br>
            courses, designed for the modern students and entrepreneur.
        </p>
        <div class="btn-group">
            <button class="btn btn-warning text-dark" id="browse">Browse Course</button>
            <button class="btn btn-light text-dark">Become an instructor</button>
        </div>
    </div>
    <div class="right">
      <img src="images/girl.png"/>
    </div>
  </div>
</div>
<br>
<div class="container" id="courseContent">
    <h1>Recommended to you </h1>
    <div class="row d-flex" id="card-recommend"> 
            
    </div>
    <br>
    <h1>Most Popular</h1>
    <div class="row d-flex justify-content-between" id="card-popular"> 
            
    </div>
    <br>

    <h1>Trending</h1>
    <div class="row d-flex justify-content-between" id="card-trending"> 
            
    </div>
    <br>
    <hr>
    <div class="container footer">
        <div class="copy-right ">
            <p class="text-center">© 2021 Ionic Course365. All Rights Reserved.</p>
        </div>
        <div class="navbar navbar-expand-sm  footer_link">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" >Privacy</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" >Terms</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" >Feedback</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link">Support</a>
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
<script>
    $(document).ready(function(){
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        const gREQUEST_STATUS_OK = 200;
        const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
        const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
        var gBASE_URL = "https://630890e4722029d9ddd245bc.mockapi.io/api/v1";
        var gCourseList = [];
        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        onPageLoading();
        //xử lý nút thêm vào giỏ hàng
        $("#courseContent").on("click",".add-to-cart button", function(){
            var vCourseIndex = $(this).data("courseindex");
            localStorage.setItem(vCourseIndex, JSON.stringify(gCourseList[vCourseIndex]));
            checkLocalStorage();
        });

        //bấm vào icon giỏ hàng chuyển sang trang giỏ hàng
        $(".fa-bag-shopping").on("click",function(){
            window.location.href = "shoppingcart.html";
        });        
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onPageLoading(){
            requestGetAllCourse();
        }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        function requestGetAllCourse() {
            $.ajax({
                url: gBASE_URL + "/courses",
                type: "GET",
                async: true,
                success: function (paramData) {
                    console.log(paramData);
                    gCourseList = paramData;
                    loadDataToRecommendSection(gCourseList);
                    loadDataToMostPopularSection(gCourseList);
                    loadDataToTrendingSection(gCourseList);
                },
                error: function (paramError) {
                    console.log(paramError);
                }
            });
        }
        function loadDataToRecommendSection(paramCourseList) {
            for (var bI = 0; bI < paramCourseList.length; bI++) { //display 4 recommended courses
                $("#card-recommend").append(`
                    <div class="col-md-3 col-sm-6 mt-4">
                        <div class="card" id="card-${paramCourseList[bI].id}">
                            <div class="card-block">
                                <img src="${paramCourseList[bI].coverImage}" class="img-fluid" >
                                <div class="card-title">
                                    <h5>${paramCourseList[bI].courseName}</h5>
                                    <div class="info">
                                        <i class="far fa-clock"></i>
                                        <p>${paramCourseList[bI].duration}</p>
                                        <p>${paramCourseList[bI].level}</p>
                                    </div>
                                    <p id="discount_price">$ ${paramCourseList[bI].discountPrice} <del id="price">$ ${paramCourseList[bI].price}</del></p>
                                </div>
                                <div class="blog-footer">
                                    <div class="blog-avatar">
                                        <img src="${paramCourseList[bI].teacherPhoto}" class="img-fluid" >
                                    </div>
                                <div class="blog-author">
                                    <p>${paramCourseList[bI].teacherName}</p>
                                </div>
                                <div class="add-to-cart">
                                    <button class="btn-add-to-cart" data-courseindex="${paramCourseList[bI].id - 1}" title="Add this to your bag">
                                        <i class="fas fa-bookmark"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
        
                `);
            }
        }

        function loadDataToMostPopularSection(paramCourseList) {
            var vCount = 0;
            for (var bI = 0; bI < paramCourseList.length; bI++) { //display 4 recommended courses
                if (paramCourseList[bI].isPopular == true && vCount < 4) {
                    $("#card-popular").append(`
                    <div class="col-md-3 col-sm-6">
                        <div class="card" id="card-${paramCourseList[bI].id}">
                            <div class="card-block">
                                <img src="${paramCourseList[bI].coverImage}" class="img-fluid" >
                                <div class="card-title">
                                    <h5>${paramCourseList[bI].courseName}</h5>
                                    <div class="info">
                                        <i class="far fa-clock"></i>
                                        <p>${paramCourseList[bI].duration}</p>
                                        <p>${paramCourseList[bI].level}</p>
                                    </div>
                                    <p id="discount_price">$ ${paramCourseList[bI].discountPrice} <del id="price">$ ${paramCourseList[bI].price}</del></p>
                                </div>
                                <div class="blog-footer">
                                    <div class="blog-avatar">
                                        <img src="${paramCourseList[bI].teacherPhoto}" class="img-fluid" >
                                    </div>
                                <div class="blog-author">
                                    <p>${paramCourseList[bI].teacherName}</p>
                                </div>
                                <div class="add-to-cart">
                                    <button class="btn-add-to-cart" data-courseindex="${paramCourseList[bI].id - 1}" title="Add this to your bag">
                                        <i class="fas fa-bookmark"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                `);
                vCount += 1;
                }
            }
        }

        function loadDataToTrendingSection(paramCourseList) {
            var vCount = 0;
            for (var bI = 0; bI < paramCourseList.length; bI++) { //display 4 recommended courses
                if (paramCourseList[bI].isTrending == true && vCount < 4) {
                    $("#card-trending").append(`
                    <div class="col-md-3 col-sm-6">
                        <div class="card" id="card-${paramCourseList[bI].id}">
                            <div class="card-block">
                                <img src="${paramCourseList[bI].coverImage}" class="img-fluid" >
                                <div class="card-title">
                                    <h5>${paramCourseList[bI].courseName}</h5>
                                    <div class="info">
                                        <i class="far fa-clock"></i>
                                        <p>${paramCourseList[bI].duration}</p>
                                        <p>${paramCourseList[bI].level}</p>
                                    </div>
                                    <p id="discount_price">$ ${paramCourseList[bI].discountPrice} <del id="price">$ ${paramCourseList[bI].price}</del></p>
                                </div>
                                <div class="blog-footer">
                                    <div class="blog-avatar">
                                        <img src="${paramCourseList[bI].teacherPhoto}" class="img-fluid" >
                                    </div>
                                <div class="blog-author">
                                    <p>${paramCourseList[bI].teacherName}</p>
                                </div>
                                <div class="add-to-cart">
                                    <button class="btn-add-to-cart" data-courseindex="${paramCourseList[bI].id - 1}" title="Add this to your bag">
                                        <i class="fas fa-bookmark"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                `);

                vCount += 1;
                }
            }
        }
        function checkLocalStorage() {
            if (localStorage.length > 0) {
                $(".fa-bag-shopping").css("color", "red");
            }
            else {
                $(".fa-bag-shopping").css("color", "black");
            }
        }    
    });
</script>
</html>
